shishi_keys_from_file(3)

NAME
shishi_keys_from_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_from_file(Shishi_keys * keys, const char * filename);

ARGUMENTS

Shishi_keys * keys
    key set handle as allocated by shishi_keys().

const char * filename
    filename to read keys from.

DESCRIPTION
Read zero or more keys from file filename and append them to the keyset keys. See shishi_key_print() for the format of the input.

RETURN VALUE
Returns SHISHI_OK iff successful.

SINCE
0.0.42

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.